﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Text;
using System.IO;
using System.Windows.Forms;

namespace Demo_C_Sharp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void pdfViewer1_Load(object sender, EventArgs e)
        {
            //Properties that affect the behavior of the PDF Viewer Control
            pdfViewer1.OpenHyperlinks = true;
            pdfViewer1.OpenLinks = true;
            pdfViewer1.ExpandBookmarks = false;
            pdfViewer1.ExactMatch = false; //for text searches
            pdfViewer1.DefaultPDFprinter = false;
            pdfViewer1.ImageDPI = 150;
            pdfViewer1.PrintDPI = 150;
            //Toolbar Icons - Set to false to hide
            pdfViewer1.SaveIcon = true;
            pdfViewer1.OpenIcon = true;
            pdfViewer1.PrintIcon = true;
            pdfViewer1.SaveImageIcon = true;
            pdfViewer1.CopyTextIcon = true;
            pdfViewer1.ZoomIcon = true;
            pdfViewer1.RotateIcon = true;
            pdfViewer1.TextSearchIcon = true;
            pdfViewer1.ExportIcon = true;
            pdfViewer1.UrlIcon = true;
            //Toolbar Icons Tooltip Text - If language is not English the tooltip text can be changed
            pdfViewer1.OpenIconTooltip = "Open PDF File";
            pdfViewer1.SaveIconTooltip = "Save PDF File";
            pdfViewer1.PrintIconTooltip = "Print All";
            pdfViewer1.PrintPageIconTooltip = "Print Page";
            pdfViewer1.SaveImageIconTooltip = "Save PDF Page as Image File";
            pdfViewer1.CopyTextIconTooltip = "Copy PDF Page Text to Clipboard";
            pdfViewer1.FirstPageIconTooltip = "First Page";
            pdfViewer1.NextPageIconTooltip = "Next Page";
            pdfViewer1.PreviousPageIconTooltip = "Previous Page";
            pdfViewer1.LastPageIconTooltip = "Last Page";
            pdfViewer1.ZoomInIconTooltip = "Zoom In";
            pdfViewer1.ZoomOutIconTooltip = "Zoom Out";
            pdfViewer1.RotateCCIconTooltip = "Rotate Counter Clockwise";
            pdfViewer1.RotateCIconTooltip = "Rotate Clockwise";
            pdfViewer1.FindIconTooltip = "Find Text";
            pdfViewer1.FindNextIconTooltip = "Find Next";
            pdfViewer1.ExportIconTooltip = "Export PDF to Another File Format";
            //Open and Save Dialog Window Captions - If language is not English the Window captions can be changed
            pdfViewer1.OpenFileWindowCaption = "Open PDF File";
            pdfViewer1.SaveFileWindowCaption = "Save PDF File";
            pdfViewer1.SaveImageFileWindowCaption = "Save Image File";
            pdfViewer1.ExportWindowCaption = "Export PDF File To";
            //Other Toolbar text - If language is not English the toolbar text can be changed
            pdfViewer1.FitToScreenText = "Fit to Screen";
            pdfViewer1.FitToWidthText = "Fit to Width";
            pdfViewer1.GoToPageText = "Go to Page";
            pdfViewer1.PageText = "Page";
            pdfViewer1.OfText = "of";
            pdfViewer1.DeleteTempPDF = true; //Deletes files downloaded from web servers
        }

        private void Button2_Click(object sender, EventArgs e)
        {
            Stream MyStream = File.Open(@"C:\SamplePDFViewer\Demo\file.pdf", FileMode.Open, FileAccess.Read);
            pdfViewer1.FileStream = MyStream;
            TextBox1.Text = pdfViewer1.FileName;
        }

        private void Button3_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start("https://www.regnow.com/checkout/product/4459-63");
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            pdfViewer1.Dispose(); //Necessary to free resources used by the PDF Viewer
        }

        private void pdfViewer1_PdfOpened(string pdfFile)
        {
            TextBox1.Text = pdfFile;
        }
    }
}
